Subject: Re: Notification: incoming/230

From: Dominik Vogt <[email-masked]>
Date: Wed, 10 Mar 1999 01:22:56 +0100

----- Forwarded message from Dominik Vogt <[email-masked]> -----

Date: Wed, 10 Mar 1999 00:12:19 +0100
From: Dominik Vogt <[email-masked]>
To: [email-masked]
Subject: Re: Notification: incoming/230
Reply-To: [email-masked]
Mail-Followup-To: [email-masked]
X-Mailer: Mutt 0.93.1i
In-Reply-To: <[email-masked]>; from Dan Espen on Tue, Mar 09, 1999 at 02:52:19PM -0500

On Tue, Mar 09, 1999 at 02:52:19PM -0500, Dan Espen wrote:
> [email-masked] writes:
> > FVWM Bug Tracking notification
> > Message summary for PR#230
> > 	From: [email-masked]
> > 	Subject: recursive invocation of menus
> > 	Date: Tue, 9 Mar 1999 11:29:27 -0600 (CST)
> > 	0 replies 	0 followups
> > Hello,
> > 
> > Fvwm2 just feels so much better when it comes to menus... extra large menus
> > that
> > don't fit on the screen have the "More..." menu and when they are opened by
> > the edge
> > of the screen my pointer is not moved, the menu opens on the correct side,
> > etc...
> > Thank you all. What a great job!
> > 
> > I discovered a new potential bug in the menus which I will illustrate with
> > the following example:
> > 
> > 
> > AddToMenu Utilities "Utilities"         Title
> > ...
> > +                   "Applications"      Popup Applications
> > ...
> > 
> > AddToMenu Applications "Applications" Title
> > ...
> > +                      "Utilities"    PopUp Utilities
> > ...
> > 
> > This configuration can be useful when menus are just full of menus and
> > submenus
> > and one wants to have some repetition to make finding things a little
> > easier.
> > 
> > With this configuration, if I PopUP Utilities, then Applications, and then
> > try to
> > PopUp Utilities again from within the Applications submenu then nothing
> > pops up.
> 
> Actually, I find that if  you click on  the  submenu in question,  the
> original menus drop down,  and then the  new menu pops  up as a  fresh
> menu.
> 
> I didn't try it with another menu in between...
> 
> I like the word "feature" better than "Potential bug".
> 
> If this is documented behavior, I'm all for it.

No, not documented but an intentional limitation. It would require
a huge effort to change this since a single menu has only a single
window, MenuRoot structure etc. We'd need to duplicate the complete
menu and create a new window on the fly.

Bye

Dominik

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]

----- End forwarded message -----

Bye

Dominik

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]